# AWS WorkSpaces DaaS

Amazon WorkSpaces は、AWS 上にホストされた永続的な仮想デスクトップを提供する、フルマネージドのクラウドデスクトップサービスです。 これにより、オンプレミスの VDI インフラストラクチャを使用せずに、ユーザー固有のデスクトップ環境を集中管理し、スケーラブルにプロビジョニングできます。

{% stepper %}
{% step %}
**コネクタを設定**

AWS WorkSpaces に接続してセッションメタデータを取り込むように Nexthink を構成します。 この手順により、VDI Experience モジュールでインサイトを強化するためのコンテキストデータが利用可能になります。

コネクタを設定するには、[https://github.com/nexthink/documentation.online-product-documentation/blob/develop/ja\_docs/configuring\_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md](https://github.com/nexthink/documentation.online-product-documentation/blob/develop/ja_docs/configuring_nexthink/bringing-data-into-your-nexthink-instance/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-aws-workspaces.md "mention") に記載された手順を実行します。
{% endstep %}

{% step %}
**VM に Collector をインストール**

**手動または自動デプロイ**

\*\*WorkSpaces Personal（永続）\*\*の場合、永続デスクトップのプロビジョニングまたはオンボーディング時に、Collector を標準エージェントとしてインストールします。

次のドキュメントに記載された手順を実行します。

1. [#configuring-collector-for-vms](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#configuring-collector-for-vms "mention")
2. [#installing-collector-on-vms](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#installing-collector-on-vms "mention")
3. [#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1 "mention")

**ゴールデンイメージベースのデプロイ**

\*\*WorkSpaces Pooled（非永続）\*\*の場合、デプロイにはゴールデンイメージを使用します。

次のドキュメントに記載された手順を実行します。

1. [#configuring-collector-for-vms](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#configuring-collector-for-vms "mention")
2. [#installing-collector-on-vms](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#installing-collector-on-vms "mention")
3. [#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage](https://docs.nexthink.com/platform/ja/configuring_nexthink/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage "mention")
   {% endstep %}

{% step %}
**コネクタと Collector のテスト**

**コネクタ**

コネクタ統合によってデバイスおよびセッションデータが強化されていることを、次のフィールドなどを確認して検証します。

* ディスクイメージ
* デスクトッププール
* 仮想化タイプ

強化をテストするには、Collector が VM にインストールされ、稼働していることを確認してください。 期待されるデバイスが報告され、表示される値が期待どおりであることを、次のクエリを実行して確認します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == aws_workspaces 
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.hypervisor_name, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリの実行について詳しくは、[investigations](https://docs.nexthink.com/platform/ja/user-guide/investigations "mention") ドキュメントを参照してください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、Nexthink サポートまたは担当の Nexthink 担当者にお問い合わせください。
{% endhint %}

次のようなデータが Nexthink に表示されていることを確認します。

* デバイス ID
* 割り当てユーザー
* 再起動およびログオン間のシステム稼働時間

これを確認するには、次のクエリを実行します。

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == aws_workspaces 
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/aws-workspaces-daas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
